package command;

import org.eclipse.jgit.api.Git;
import org.eclipse.jgit.api.errors.GitAPIException;

import java.io.File;
import java.io.IOException;

public class CommandInit implements Command {

    private String path = "/home/jack/Documents/testRepo";

    public void execute() {
        try (Git git = Git.open(new File(path))) {
            git.checkout()
                    .setCreateBranch(true)
                    .setOrphan(true)
                    .setName("issues")
                    .call();
        } catch (IOException e) {
            System.out.println("Not a git repository - aborting operation");
        } catch (GitAPIException e) {
            e.printStackTrace();
        }

    }
}

//        System.out.println(System.getProperty("user.dir"));